Skip to content

Update a personal profile

Request

Update user profile information for a personal profile.

If user profile has been verified then there are restrictions on what information is allowed to change. Where permitted, use the update window functionality by opening the update window, submitting the updated information using this endpoint, and finally closing the update window.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

Personal profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/json
firstNamestring, <= 30 characters

First name (including middle names).

Example:"Oliver"
lastNamestring, <= 30 characters

Last name.

Example:"Wilson"
preferredNamestring, <= 30 characters

Preferred first name, if different to the legal first name.

Example:"Olivia"
firstNameInKanastring or null

First name in Katakana. Required for from-JPY personal transfers.

Example:null
lastNameInKanastring or null

Last name in Katakana. Required for from-JPY personal transfers.

Example:null
addressobject
nationalitystring

3 letter country code (ISO3, lower case).

Example:"usa"
dateOfBirthstring

Date of birth.

Example:"1977-07-01"
contactDetailsobject
externalCustomerIdstring

An external reference identifier mapping the customer of this profile to your system.

Example:"12345-oliver-wilson"
occupationsArray of objects
curl -i -X PUT \
  'https://api.wise.com/v2/profiles/{profileId}/personal-profile' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "firstName": "Oliver",
    "lastName": "Wilson",
    "preferredName": "Olivia",
    "firstNameInKana": null,
    "lastNameInKana": null,
    "address": {
      "addressFirstLine": "50 Sunflower Ave",
      "city": "Phoenix",
      "countryIso3Code": "usa",
      "postCode": "10025",
      "stateCode": "AZ"
    },
    "nationality": "usa",
    "dateOfBirth": "1977-07-01",
    "contactDetails": {
      "email": "o.wilson@example.com",
      "phoneNumber": "+3725064992"
    },
    "externalCustomerId": "12345-oliver-wilson",
    "occupations": [
      {
        "code": "Software Engineer",
        "format": "FREE_FORM"
      }
    ]
  }'

Responses

Updated personal profile.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content